Earlier I wrote about how to install Canon software on new computers using the upgrade software on from Canon’s Website. The reason I was doing this was to install the EOS Utility on my partner Kim‘s new Macbook Air. But, I bumped into another problem: the latest version of ESO Utility is not compatible with the new Lion (OSX 10.7) operating system.

Until Canon sort this out (and they may well have done by the time you are reading this), there is a simple workaround. All you need to do is install a previous version. I downloaded version 2.8.1 from Canon Asia, converted it to allow a new installation and installed on Kim’s new Air.

By the way, she’ll be using the Air for tethered shooting, and while I think Adobe Lightroom is much better than it was for tethered, the EOS Utility is much quicker for previews (using Apple Preview).

About The Author

Related Posts